package bou.amine.apps.readerforselfossv2.utils

import bou.amine.apps.readerforselfossv2.model.SelfossModel

expect fun String.getHtmlDecoded(): String

expect fun SelfossModel.Item.getIcon(baseUrl: String): String

expect fun SelfossModel.Item.getThumbnail(baseUrl: String): String

expect fun SelfossModel.Item.getImages(): ArrayList<String>

expect fun SelfossModel.Source.getIcon(baseUrl: String): String

expect fun constructUrl(baseUrl: String, path: String, file: String?): String